Api Change Log

What's New


  1. PUT /livepmdata/{userSessionId} Updates the subscription to retrieve the Live PM data for Connections or NEs
  2. DELETE /livepmdata/{userSessionId} Unsubscribes to stop receiving the Live PM data
  3. PUT/hadoop/file/{neId} stores specific NE PM Data in different files under specified dsts hadoop folder
  4. POST /ne/queryWithDetails Fetches PM data for NEs
  5. POST/ne/nePmData Fetches PM data for NEs
  6. POST /ne/missingmappinginfo This API finds all missing mapping info
  7. POST/ne/exportpdf Download PM data as a PDF report for NEs
  8. POST/ne/exportcompactpdf Download PM data as a PDF report for NEs
  9. GET/nbi-streaming/api/v1/subscriptions/{subscriptionId} Fetches all details of specified NBI forwarding subscription
  10. POST/nbi-streaming/api/v1/subscriptions/{subscriptionId} Updates the subscription details for given subscription id
  11. DELETE/nbi-streaming/api/v1/subscriptions/{subscriptionId} Stops and unsubscribes NBI forwarding for given subscription id
  12. GET/nbi-streaming/api/v1/subscriptions/ Fetches all details of all NBI forwarding subscriptions
  13. POST/nbi-streaming/api/v1/subscriptions/ Creates new NBI forwarding subscription for PM Data with given filters
  14. POST/livepmdata Subscribes to Live PM data for Connections or NEs
  15. POST/livepmdata/{userSessionId}/resume Resumes the subscription to start receiving Live PM data
  16. POST/livepmdata/{userSessionId}/pause Pauses the subscription to pause receiving Live PM data
  17. POST/cxn/exportpdf Download PM data as a report for connections
  18. POST/cxn/exportcompactpdf Download PM data as a compact pdf report for connections
  19. POST/connection/queryWithDetails Fetches PM data for connections
  20. POST/connection/cxnPmData Fetches PM data for connections
  21. GET/livepmdatasessions Fetches Current and Max Live PM sessions and many other configured system preference settings

What's Deleted


    What's Deprecated


    1. GET/getNeCount Fetches total number of NEs present in system
    2. POST/hadoop/file stores the NE PM DATA under specified dsts hadoop folder

    What's Changed


    1. POST/connection/query
      • Request

        • New body: 'application/json'
      • Response

        • New response : [400]//Validtion errors: <br />Response size exceeded <br />Granularity should be 15mins or 24hours <br />File location is not matching the ip <br />Start time should be a valid timestamp <br />End time should be a valid timestamp <br />ObjIds should not be empty and should contain valid Connection IDs <br />Start date time should be less than end date time
        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    2. POST/cxn/export
      • Request

        • New body: 'application/json'
      • Response

        • New response : [400]//Validation errors: <br />Granularity should be 1min/15mins/24hours/4hr/8/hr/1hr <br />File location is not matching the ip <br />Start time should be a valid timestamp <br />End time should be a valid timestamp <br />ObjIds should not be empty and should contain valid Connection IDs <br />Start date time should be less than end date time <br />Sftp details are incorrect, could not connect to sftp server <br />The given file does not exist in the location
        • Changed response : [200]//Successfully downloaded data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to download the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [500]//Validation errors: <br />Internal application error <br />Unable to get the report
          • New body: '*/*'
    3. POST/deleteJobByProfileId
      • Parameters

        • Deletemethodin query//method
      • Request

        • New body: 'application/json'
      • Response

        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [404]//The resource you were trying to reach is not found
          • New body: '*/*'
        • Changed response : [500]//Internal Server Error
          • New body: '*/*'
    4. DELETE/deletereportfile/{profileId}/{fileName} /deletereportfile/{profileId}/{fileName} Delete the specified CSV report file from system
      • Parameters

        • fileName in path Notes The generated CSV report file name which has to be deleted. change into The generated CSV report file name which has to be deleted.
        • profileId in path Notes The Profile Id for which the generated CSV report file has to be deleted. change into The Profile Id for which the generated CSV report file has to be deleted.
      • Response

        • New response : [400]//Validation errors: <br />The given file does not exist in the location
        • Changed response : [200]//Successfully deleted file
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to delete the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    5. GET/deletereportfile/{profileId}/{fileName} Download the specified CSV report file from system
      • Parameters

        • fileName in path change into required Notes The generated CSV report file name which has to be downloaded. change into The generated CSV report file name which has to be downloaded.
        • profileId in path change into required Notes The Profile Id for which the generated CSV report file has to be downloaded. change into The Profile Id for which the generated CSV report file has to be downloaded.
      • Response

        • New response : [400]//Validation errors: <br />Download Failed because of Too many download file requests in processing
        • Changed response : [200]//Successfully downloaded data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to download the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    6. POST/getCurrentlyRunningJobsCount Fetches the current job count
      • Response

        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [404]//The resource you were trying to reach is not found
          • New body: '*/*'
        • Changed response : [500]//Internal Server Error
          • New body: '*/*'
    7. GET/getCxnCount
      • Response

        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [404]//The resource you were trying to reach is not found
          • New body: '*/*'
        • Changed response : [500]//Internal Server Error
          • New body: '*/*'
    8. GET/getNeCount Fetches total number of NEs present in system
      • Response

        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [404]//Communication with WSNOC is failed
          • New body: '*/*'
        • Changed response : [500]//Internal Server Error
          • New body: '*/*'
    9. POST/getPortDataForNes/ Fetch the port details for the given Network Element IDs.
      • Request

        • New body: 'application/json'
      • Response

        • Deleted response : [400]//Validation errors: NeIds should be a valid NeId. NeID should not be empty. Enable only should be true or false. Enable only should not be empty.
        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [404]//The resource you were trying to reach is not found
          • New body: '*/*'
        • Changed response : [500]//Internal Server Error
          • New body: '*/*'
    10. GET/getallschedules Fetch the details of all scheduled CSV reports
      • Response

        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    11. POST/getcxnspanloss/ Retrieves spanloss for given connections
      • Request

        • New body: 'application/json'
      • Response

        • New response : [400]//Validation errors: <br />Granularity should be 15mins or 24hours <br />objIds should not be empty and it should contain valid Connection Ids
        • Changed response : [200]//Successfully found the spanloss KPI values for given connection ids
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to download the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    12. GET/getreportfiles/{profileId}/{noOfFiles} Fetch the generated CSV report file names for the specified scheduled job
      • Parameters

        • noOfFiles in path change into required Notes The number of recently generated report file names to be fetched. change into The number of recently generated report file names to be fetched.
        • profileId in path change into required Notes The Profile Id for which the generated report file names to be fetched. change into The Profile Id for which the generated report file names to be fetched.
      • Response

        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    13. GET/getschedule/{profileId} Fetches the details of scheduled CSV report from System
      • Parameters

        • profileId in path change into required
      • Response

        • New response : [400]//Validation errors: <br />ProfileId is not valid, please try with valid profileId
        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [404]//The resource you were trying to reach is not found
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    14. POST/hadoop/file stores the NE PM DATA under specified dsts hadoop folder
      • Request

        • New body: 'application/json'
      • Response

        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [404]//The resource you were trying to reach is not found
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    15. POST/mdcxnlist Fetch the Connection list from the Meta Data
      • Request

        • New body: 'application/json'
      • Response

        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [400]//Validation errors: <br /> Request Object cannot be empty <br /> Number of Entries field should be always greater than 0 <br /> Column name field cannot be empty if sortBy is specified <br /> Operation value should be "asc" or "desc" <br /> Filter value should not be empty <br /> Case Sensitive should be true of false <br /> Negation should be either true of false <br /> CxnIds should contain valid Connection Ids. <br /> ConnectionID should not be empty.
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [404]//The resource you were trying to reach is not found
          • New body: '*/*'
        • Changed response : [500]//Internal Server Error
          • New body: '*/*'
    16. POST/ne/export
      • Request

        • New body: 'application/json'
      • Response

        • New response : [400]//Validtion errors: <br />The given file does not exist in the location
        • Changed response : [200]//Successfully downloaded data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to download the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    17. POST/ne/query
      • Request

        • New body: 'application/json'
      • Response

        • New response : [400]//Validation errors: <br />Response size exceeded Granularity should be 15mins or 24hours <br />File location is not matching the ip <br />Start time should be a valid timestamp <br />End time should be a valid timestamp <br />NE ID should not be empty <br />Start date time should be less than end date time <br />Sftp details are incorrect, could not connect to sftp server
        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    18. POST/ne/top5/lagUtilization Fetch Top 5 elements for the LAG Utilization
      • Response

        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    19. POST/ne/top5/{kpiName} Fetch Top 5 elements for the given KPI
      • Parameters

        • kpiName in path Notes null change into null
      • Response

        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    20. POST /pauseJobByProfileId
      • Parameters

        • Deletemethodin query//method
      • Request

        • New body: 'application/json'
      • Response

        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [404]//The resource you were trying to reach is not found
          • New body: '*/*'
        • Changed response : [500]//Internal Server Error
          • New body: '*/*'
    21. GET /readjobstatus/ Fetch the present status of all scheduled CSV reports
      • Response

        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    22. POST/resumeJobByProfileId
      • Parameters

        • Deletemethodin query//method
      • Request

        • New body: 'application/json'
      • Response

        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [404]//The resource you were trying to reach is not found
          • New body: '*/*'
        • Changed response : [500]//Internal Server Error
          • New body: '*/*'
    23. POST/schedulejob/create
      • Request

        • New body: 'application/json'
      • Response

        • Changed response : [200]//Successfully created CSV report schedule job
          • New body: '*/*'
        • Changed response : [400]//Validation errors:<br /> Granularity should be 15mins or 24hours in this release <br /> Profile Id should contain only Alpha Numeric and Underscore characters <br /> Local File location should contain only Alpha Numeric, Eiphen and Underscore characters <br /> SFTP details are incorrect hence could not connect to sftp server <br /> SFTP File location is not matching the ip:port/path pattern <br /> Profile Status should be either active or inactive <br /> Duration of data should not be empty <br /> Duration of data should have valid value <br /> Purge Criteria should be specified <br /> Frequency should be set to either daily, weekly, monthly and Yearly. It should not be empty <br /> Daily option should be either onetime or reccurence .It should not be null <br /> Enter a valid hour and min in onetime field or reccurence field <br /> Enter a valid hour and min in daily, weekly, monthly and in yearly fields <br /> Start date should be valid End date time should be greater than start time <br /> End date time should be greater than current time <br /> Sftp field should not be set to "active" or "inactive" <br /> Report format version should not be null or empty
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [404]//The resource you were trying to reach is not found
          • New body: '*/*'
        • Changed response : [409]//Already a profile with specified Id exists in DB
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    24. DELETE/schedulejob/delete/{profileId} Deletes a scheduled CSV report job
      • Parameters

        • profileId in path change into required
      • Response

        • New response : [400]//Validation errors: <br /> Profile Id does not exists in DB
        • Changed response : [200]//Successfully Deleted data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to delete the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [404]//The resource you were trying to reach is not found
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    25. PUT/schedulejob/update
      • Request

        • New body: 'application/json'
      • Response

        • New response : [400]//Validation errors: <br /> Granularity should be 15mins or 24hours in this release <br /> Profile Id should contain only Alpha Numeric and Underscore characters <br /> Local File location should contain only Alpha Numeric, Eiphen and Underscore characters <br /> SFTP details are incorrect hence could not able connect to sftp server <br /> SFTP File location is not matching the ip:port/path pattern <br /> Profile Status should be either active or inactive <br /> PmReport Duration of data should not be empty <br /> PmReport Duration of data should have valid value <br /> Purge Criteria should be specified <br /> Frequency should be set to either daily, weekly, monthly and Yearly. It should not be empty <br /> Daily option should be either onetime or reccurence .It should not be null <br /> Enter a valid hour and min in onetime field, reccurence field <br /> Enter a valid hour and min in daily, weekly, monthly and in yearly fields <br /> Start date should be valid <br /> End date time should be greater than start time <br /> End date time should be greater than current time <br /> Sftp field should not be set to "active" or "inactive" <br /> Report format version should not be null or empty
        • Changed response : [200]//Successfully updated the data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [404]//The resource you were trying to reach is not found
          • New body: '*/*'
        • Changed response : [500]//Internal application error
          • New body: '*/*'
    26. POST/skipNextRunOfJobByProfileId
      • Parameters

        • Deletemethodin query//method
      • Request

        • New body: 'application/json'
      • Response

        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [404]//The resource you were trying to reach is not found
          • New body: '*/*'
        • Changed response : [500]//Internal Server Error
          • New body: '*/*'
    27. POST/startJobNowByProfileId
      • Parameters

        • Deletemethodin query//method
      • Request

        • New body: 'application/json'
      • Response

        • Changed response : [200]//Successfully retrieved data
          • New body: '*/*'
        • Changed response : [401]//You are not authorized to view the resource
          • New body: '*/*'
        • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
          • New body: '*/*'
        • Changed response : [404]//The resource you were trying to reach is not found
          • New body: '*/*'
        • Changed response : [500]//Internal Server Error
          • New body: '*/*'